/* Scrutari - Copyright (c) 2009-2016 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.servlets.webapp.htmlpages;

import fr.exemole.sctserver.servlets.ScrutariWebapp;
import java.io.IOException;
import javax.servlet.http.HttpServletResponse;
import net.mapeadores.util.html.HA;
import net.mapeadores.util.localisation.Lang;


/**
 *
 * @author Vincent Calame
 */
public class IndexPage extends WebappHtmlPage {

    public IndexPage(ScrutariWebapp scrutariWebapp, Lang langUi) {
        init(scrutariWebapp, langUi);
    }

    @Override
    public void handleResponse(HttpServletResponse response) throws IOException {
        initResponse(response);
        start();
        startP(HA.classes("scrutari-webapp-Title"));
        localize("_ info.webapp.congratulations");
        endP();
        end();
    }

}
