/* UtilLib - Copyright (c) 2013 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.html;


/**
 *
 * @author Vincent Calame
 */
public class HA {

    private HA() {
    }

    public static HTMLAttributes id(String Id) {
        HTMLAttributes htmlAttributes = new HTMLAttributes();
        return htmlAttributes.id(Id);
    }

    public static HTMLAttributes classes(String classes) {
        HTMLAttributes htmlAttributes = new HTMLAttributes();
        return htmlAttributes.classes(classes);
    }

    public static HTMLAttributes name(String name) {
        HTMLAttributes htmlAttributes = new HTMLAttributes();
        return htmlAttributes.name(name);
    }

    public static HTMLAttributes action(String action) {
        HTMLAttributes htmlAttributes = new HTMLAttributes();
        return htmlAttributes.action(action);
    }

    public static HTMLAttributes type(String type) {
        HTMLAttributes htmlAttributes = new HTMLAttributes();
        return htmlAttributes.type(type);
    }

    public static HTMLAttributes value(String value) {
        HTMLAttributes htmlAttributes = new HTMLAttributes();
        return htmlAttributes.value(value);
    }

    public static HTMLAttributes width(String width) {
        HTMLAttributes htmlAttributes = new HTMLAttributes();
        return htmlAttributes.width(width);
    }

    public static HTMLAttributes style(String style) {
        HTMLAttributes htmlAttributes = new HTMLAttributes();
        return htmlAttributes.style(style);
    }

    public static HTMLAttributes src(String src) {
        HTMLAttributes htmlAttributes = new HTMLAttributes();
        return htmlAttributes.src(src);
    }

    public static HTMLAttributes href(String href) {
        HTMLAttributes htmlAttributes = new HTMLAttributes();
        return htmlAttributes.href(href);
    }
    
    public static HTMLAttributes href(HrefBuilder hrefBuilder) {
        HTMLAttributes htmlAttributes = new HTMLAttributes();
        return htmlAttributes.href(hrefBuilder);
    }

    public static HTMLAttributes label(String label) {
        HTMLAttributes htmlAttributes = new HTMLAttributes();
        return htmlAttributes.label(label);
    }

    public static HTMLAttributes colspan(int colspan) {
        HTMLAttributes htmlAttributes = new HTMLAttributes();
        return htmlAttributes.colspan(colspan);
    }

    public static HTMLAttributes rowspan(int rowspan) {
        HTMLAttributes htmlAttributes = new HTMLAttributes();
        return htmlAttributes.colspan(rowspan);
    }

    public static HTMLAttributes httpEquiv(String httpEquiv) {
        HTMLAttributes htmlAttributes = new HTMLAttributes();
        return htmlAttributes.httpEquiv(httpEquiv);
    }

    public static HTMLAttributes attr(String name, String value) {
        HTMLAttributes htmlAttributes = new HTMLAttributes();
        return htmlAttributes.attr(name, value);
    }

}
