/* UtilLib - Copyright (c) 2013-2016 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.localisation;

import java.util.ArrayList;
import java.util.List;


/**
 *
 * @author Vincent Calame
 */
public class MessageListBuilder {

    private final List<Message> list = new ArrayList<Message>();

    public MessageListBuilder() {
    }

    public void addMessage(Message message) {
        list.add(message);
    }

    public int size() {
        return list.size();
    }

    public MessageList toMessageList() {
        return LocalisationUtils.toMessageList(list);
    }

}
