/* SctServer_API - Copyright (c) 2016 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.api.context;

import net.mapeadores.util.attr.AttributeHolder;
import net.mapeadores.util.text.LabelHolder;


/**
 *
 * @author Vincent Calame
 */
public interface EngineGroup extends LabelHolder, AttributeHolder {

    public String getName();

    public int getEngineCount();

    public String getEngineName(int index);

}
